%lib_package spf2 1

Summary: An implemenation of the Sender Policy Framework.
Name: libspf2
Version: 1.0.4
Release: 3%{?dist}
License: GPL/BSD dual license
Group: System Environment/Libraries
URL: http://www.libspf2.org/
Source0: http://www.libspf2.org/spf/%{name}-%{version}.tar.gz
Patch0: libspf2-1.0.4-case-insensitive.patch
Patch1: libspf2-resolv.patch
Patch2: libspf2-1.0.4-autotools.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, automake, libtool, gettext, gcc-c++

%description
libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
protocol pair. libspf2 is a library which allows email systems such as
Sendmail, Postfix, Exim, Zmailer and MS Exchange to check SPF records
and make sure that the email is authorized by the domain name that it
is coming from. This prevents email forgery, commonly used by
spammers, scammers and email viruses/worms.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
ac_cv_func___ns_get16=no
export ac_cv_func___ns_get16
autoreconf -f -i
%configure
make

%install
rm -rf %{buildroot}
%makeinstall includedir=%{buildroot}%{_includedir}/spf2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README LICENSES TODO
%{_bindir}/spf*

%changelog
* Fri Feb 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
- added patches from builds of Paul Howarth <paul@city-fan.org>.
